#!/bin/bash

#function
errexit() {
 echo $@ srcfile.csv [Voice [WordsPerMin]];
 echo " Voice:EN"
 echo "  {Agnes,Allison,Ava,Kathy,Princess,Samantha,Susan,Vicki,Victoria}"
 echo "  {Alex,Bruce,Fred,Junior,Ralph,Tom}"
 echo "  {Albert,\"Bad News\",Bahh,Bells,Boing,Bubbles,Cellos,Deranged,"
 echo "   \"Good News\",Hysterical,\"Pipe Organ\",Trinoids,Whisper,Zarvox}"
 echo " WordsPerMin:150-200-250(Fast)"
 exit 1;
}

if [ $# -eq 0 ]; then
  errexit $0
fi

SRCCSV=$1           # source csv file
VOICE="Samantha"    # US Siri voice
WPM=200             # works for me
HZ="22050"          # (16KHz,22KHz,32KHz)

if [ $# -lt 4 ]; then
  VOICE=$2
  if [ $# -eq 3 ]; then
    WPM=$3
  fi
else
  errexit $0
fi

IFS=","
while read FILENAME PHRASE UVOICE VRATE
do
  # remove trailing newline from PHRASE variable
  PHRASE=$(echo ${PHRASE} | tr -d '\n\r')
  if [ "$FILENAME" != "" ] && [ "$PHRASE" != "" ]; then
    if [ "$UVOICE" == "" ]; then
      UVOICE=${VOICE}
    fi
    if [ "$VRATE" == "" ]; then
      VRATE=${WPM}
    fi
    echo say \"$PHRASE\" -v "$UVOICE" -o "$FILENAME.aiff" -r $VRATE
    say \"$PHRASE\" -v "$UVOICE" -o "$FILENAME.aiff" -r $VRATE
    echo afconvert -f WAVE -d LEI16@$HZ -c 1 "$FILENAME.aiff" -o "$FILENAME.wav"
    afconvert -f WAVE -d LEI16@$HZ -c 1 "$FILENAME.aiff" -o "$FILENAME.wav"
    rm -f "$FILENAME.aiff"
  fi
done < "$SRCCSV"

exit 0
