#!/bin/bash

#function
errexit() {
 echo $@ File \"Phrase\" [Voice [WordsPerMin]];
 echo " Voice:EN"
 echo "  {Agnes,Allison,Ava,Kathy,Princess,Samantha,Susan,Vicki,Victoria}"
 echo "  {Alex,Bruce,Fred,Junior,Ralph,Tom}"
 echo "  {Albert,\"Bad News\",Bahh,Bells,Boing,Bubbles,Cellos,Deranged,"
 echo "   \"Good News\",Hysterical,\"Pipe Organ\",Trinoids,Whisper,Zarvox}"
 echo " WordsPerMin:150-200-250(Fast)"
 exit 1;
}

if [ $# -lt 2 ]; then
  errexit $0
fi

FILENAME=$1         # File name
PHRASE=$2           # Phrase
VOICE="Samantha"    # US Siri voice
WPM=200             # works for me
HZ="22050"          # (16KHz,22KHz,32KHz)

if [ $# -lt 5 ]; then
  VOICE=$3
  if [ $# -eq 4 ]; then
    WPM=$4
  fi
else
  errexit $0
fi

if [ "$PHRASE" != "" ]; then
  echo say \"$PHRASE\" -v "$VOICE" -o "$FILENAME.aiff" -r $WPM
  say \"$PHRASE\" -v "$VOICE" -o "$FILENAME.aiff" -r $WPM
  echo afconvert -f WAVE -d LEI16@$HZ -c 1 "$FILENAME.aiff" -o "$FILENAME.wav"
  afconvert -f WAVE -d LEI16@$HZ -c 1 "$FILENAME.aiff" -o "$FILENAME.wav"
  rm -f "$FILENAME.aiff"
fi

exit 0
